% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/number_of_traces.R
\name{number_of_traces}
\alias{number_of_traces}
\alias{number_of_traces.eventlog}
\alias{number_of_traces.grouped_eventlog}
\title{Metric: Number of traces}
\usage{
number_of_traces(eventlog)

\method{number_of_traces}{eventlog}(eventlog)

\method{number_of_traces}{grouped_eventlog}(eventlog)
}
\arguments{
\item{eventlog}{The dataset to be used. Should be a (grouped) eventlog object.
\code{eventlog}.}
}
\description{
Computes how many traces there are.
}
\details{
This metric provides two values, the absolute and relative number of traces that
occur in the event log. The relative number shows expected number of traces needed to cover 100 cases.
}
\section{Methods (by class)}{
\itemize{
\item \code{eventlog}: Number of traces in eventlog

\item \code{grouped_eventlog}: Number of traces in each group of eventlog
}}

\references{
Swennen, M. (2018). Using Event Log Knowledge to Support Operational Exellence Techniques (Doctoral dissertation). Hasselt University.
}
